Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp.onehead
Interface DPCursor

All Known Implementing Classes:
  SmallCursor

    public interface DPCursor

Encapsulates the dynamic programmming matrix, and the context within algorithms work. The cursor should put DP.MAGICAL_SYMBOL symbols at either end of the sequence.

Author:
  Matthew Pocock

Method Summary
`void` | `advance()` Advance.
`boolean` | `canAdvance()` Can we advance?
`double[]` | `currentCol()` The current column of the matrix.
`Symbol` | `currentRes()` The current symbol.
`double[]` | `lastCol()` The previous column.
`Symbol` | `lastRes()` The previous symbol.
`int` | `length()` The length of the sequence.
`SymbolList` | `symList()` The symbol list being looped over.

Method Detail

### symList

    SymbolList symList()

  The symbol list being looped over.

### length

    int length()

  The length of the sequence.

  The matrix may allocate length+1 columns.

### currentCol

    double[] currentCol()

  The current column of the matrix.

### lastCol

    double[] lastCol()

  The previous column.

### currentRes

    Symbol currentRes()

  The current symbol.

### lastRes

    Symbol lastRes()

  The previous symbol.

### canAdvance

    boolean canAdvance()

  Can we advance?

### advance

    void advance()

  Advance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD